权限与功能
GET
/account/api/v1/capabilities授权
| Authorization | Bearer YOUR_ARNPROXY_API_KEY |
|---|---|
| 所需权限 | read |
| Accept | application/json |
参数
无需额外参数。
请求示例
printf 'Authorization: Bearer %s\n' "$ARNPROXY_API_KEY" |
curl --silent --show-error --header @- \
--header 'Accept: application/json' \
--connect-timeout 10 --max-time 30 \
'https://www.arnproxy.com/account/api/v1/capabilities'本页不会执行示例。请将 API 密钥保存在服务器环境变量中,不要放入 URL 或浏览器代码。POST 示例需准备 request.json。
{"curl":"printf \u0027Authorization: Bearer %s\\n\u0027 \u0022$ARNPROXY_API_KEY\u0022 |\n curl --silent --show-error --header @- \\\n --header \u0027Accept: application\/json\u0027 \\\n --connect-timeout 10 --max-time 30 \\\n \u0027https:\/\/www.arnproxy.com\/account\/api\/v1\/capabilities\u0027","python":"import os, requests\n\nheaders = {\u0022Authorization\u0022: \u0022Bearer \u0022 + os.environ[\u0022ARNPROXY_API_KEY\u0022]}\nresponse = requests.get(\n \u0022https:\/\/www.arnproxy.com\/account\/api\/v1\/capabilities\u0022,\n headers=headers,\n timeout=(10, 30), allow_redirects=False\n)\nprint(response.status_code, response.text)\n# No automatic write retry.","javascript":"const headers = { Authorization: `Bearer ${process.env.ARNPROXY_API_KEY}` };\nconst response = await fetch(\u0022https:\/\/www.arnproxy.com\/account\/api\/v1\/capabilities\u0022, {\n method: \u0027GET\u0027, headers, redirect: \u0027error\u0027,\n signal: AbortSignal.timeout(30000)\n});\nconsole.log(response.status, await response.text());\n\/\/ A write timeout is ambiguous; query its saved operation.","php":"\u003C?php\n$headers = [\u0027Accept: application\/json\u0027,\n \u0027Authorization: Bearer \u0027.getenv(\u0027ARNPROXY_API_KEY\u0027)];\n$ch = curl_init(\u0027https:\/\/www.arnproxy.com\/account\/api\/v1\/capabilities\u0027);\ncurl_setopt_array($ch, [\n CURLOPT_RETURNTRANSFER =\u003E true,\n CURLOPT_HTTPHEADER =\u003E $headers,\n CURLOPT_FOLLOWLOCATION =\u003E false,\n CURLOPT_SSL_VERIFYPEER =\u003E true, CURLOPT_SSL_VERIFYHOST =\u003E 2,\n CURLOPT_CONNECTTIMEOUT =\u003E 10, CURLOPT_TIMEOUT =\u003E 30,\n]);\n$result = curl_exec($ch);\nif ($result === false) {\n \/\/ Do not repeat a write; use the original operation key.\n throw new RuntimeException(\u0027Transport result unknown\u0027);\n}\necho curl_getinfo($ch, CURLINFO_HTTP_CODE).PHP_EOL.$result;\ncurl_close($ch);","go":"package main\n\nimport (\n \u0022fmt\u0022\n \u0022io\u0022\n \u0022net\/http\u0022\n \u0022os\u0022\n \u0022time\u0022\n)\n\nfunc main() {\n client := \u0026http.Client{Timeout: 30*time.Second,\n CheckRedirect: func(req *http.Request, via []*http.Request) error {\n return http.ErrUseLastResponse\n }}\n var body io.Reader\n req, err := http.NewRequest(\u0022GET\u0022, \u0022https:\/\/www.arnproxy.com\/account\/api\/v1\/capabilities\u0022, body)\n if err != nil { panic(err) }\n req.Header.Set(\u0022Authorization\u0022, \u0022Bearer \u0022+os.Getenv(\u0022ARNPROXY_API_KEY\u0022))\n res, err := client.Do(req); if err != nil { panic(err) }\n defer res.Body.Close()\n data, err := io.ReadAll(res.Body); if err != nil { panic(err) }\n fmt.Println(res.StatusCode, string(data))\n}","csharp":"using System;\nusing System.IO;\nusing System.Net.Http;\nusing System.Net.Http.Headers;\nusing System.Text;\n\nusing var handler = new HttpClientHandler { AllowAutoRedirect = false };\nusing var client = new HttpClient(handler) { Timeout = TimeSpan.FromSeconds(30) };\nusing var request = new HttpRequestMessage(HttpMethod.Get,\n \u0022https:\/\/www.arnproxy.com\/account\/api\/v1\/capabilities\u0022);\nrequest.Headers.Authorization = new AuthenticationHeaderValue(\n \u0022Bearer\u0022, Environment.GetEnvironmentVariable(\u0022ARNPROXY_API_KEY\u0022));\nusing var response = await client.SendAsync(request);\nConsole.WriteLine((int)response.StatusCode);\nConsole.WriteLine(await response.Content.ReadAsStringAsync());\n\/\/ Never automatically retry an ambiguous write.","java":"import java.net.URI;\nimport java.net.http.*;\nimport java.nio.charset.StandardCharsets;\nimport java.nio.file.*;\n\n\/\/ Inside your application method:\nvar client = HttpClient.newHttpClient();\nvar request = HttpRequest.newBuilder(URI.create(\u0022https:\/\/www.arnproxy.com\/account\/api\/v1\/capabilities\u0022))\n .header(\u0022Authorization\u0022, \u0022Bearer \u0022 + System.getenv(\u0022ARNPROXY_API_KEY\u0022))\n .header(\u0022Accept\u0022, \u0022application\/json\u0022)\n .GET()\n .build();\nvar response = client.send(request, HttpResponse.BodyHandlers.ofString());\nSystem.out.println(response.statusCode());"}响应
200成功响应
{
"ok": true,
"data": {
"mode": "public_customer_access",
"resources": [
"extra_login_replace_options",
"extra_login_replace",
"extra_login_replace_status",
"extra_login_replace_resume",
"extra_login_options",
"extra_login_create",
"extra_login",
"extra_login_delete",
"extra_login_operation_status",
"extra_login_resume",
"extra_logins",
"extra_login_history",
"proxy_access",
"proxy_credentials_change",
"proxy_authorized_ip_add",
"proxy_authorized_ip_remove",
"proxy_access_operation_status",
"proxy_access_operation_resume",
"rotating_options",
"rotating_rotation",
"rotating_operation_status",
"proxy_note",
"proxy_note_update",
"auto_renewal_settings",
"auto_renewal_options",
"auto_renewal_quote",
"auto_renewal_enable",
"auto_renewal_disable",
"auto_renewal_operation_status",
"capabilities",
"account",
"balance",
"products",
"catalog",
"quote",
"purchase",
"purchase_status",
"orders",
"order",
"order_delivery",
"order_proxies",
"proxies",
"proxy",
"proxy_export",
"proxy_actions",
"renewal_options",
"renewal_quote",
"renewal",
"renewal_status",
"replacement_quote",
"replacement",
"replacement_status",
"replacement_requests",
"residential_catalog",
"residential_quote",
"residential_purchase",
"residential_purchase_status",
"residential_session_options",
"residential_session_create",
"residential_session_export",
"residential_isp_codes",
"residential_locations",
"residential_traffic",
"residential_export",
"residential_packages",
"residential_package",
"residential_lists",
"residential_list",
"residential_list_options",
"residential_list_create",
"residential_list_delete",
"residential_list_action_status",
"residential_list_check",
"residential_package_refresh",
"residential_list_rename",
"residential_list_rotation",
"residential_operation_status"
],
"purchases": true,
"renewals": true,
"credential_access": true,
"proxy_export": true,
"replacement_quotes": true,
"replacement_requests": true,
"replacement_mode": "admin_review",
"provider_management": true,
"proxy_management": true,
"residential": true,
"residential_mode": "list_management",
"residential_purchases": true,
"residential_management": true,
"residential_list_creation": true,
"residential_list_deletion": true,
"residential_package_refresh": true,
"catalog": true,
"price_quotes": true,
"renewal_price_quotes": true,
"version": "1.0",
"source": "arnproxy_records",
"order_delivery": true,
"order_proxies": true,
"documentation_url": "https://docs.arnproxy.com/api-v1/overview",
"resource_methods": {
"extra_login_replace_options": "GET",
"extra_login_replace": "POST",
"extra_login_replace_status": "GET",
"extra_login_replace_resume": "POST",
"extra_login_options": "GET",
"extra_login_create": "POST",
"extra_login": "GET",
"extra_login_delete": "POST",
"extra_login_operation_status": "GET",
"extra_login_resume": "POST",
"extra_logins": "GET",
"extra_login_history": "GET",
"proxy_access": "GET",
"proxy_credentials_change": "POST",
"proxy_authorized_ip_add": "POST",
"proxy_authorized_ip_remove": "POST",
"proxy_access_operation_status": "GET",
"proxy_access_operation_resume": "POST",
"rotating_options": "GET",
"rotating_rotation": "POST",
"rotating_operation_status": "GET",
"proxy_note": "GET",
"proxy_note_update": "POST",
"auto_renewal_settings": "GET",
"auto_renewal_options": "GET",
"auto_renewal_quote": "POST",
"auto_renewal_enable": "POST",
"auto_renewal_disable": "POST",
"auto_renewal_operation_status": "GET",
"capabilities": "GET",
"account": "GET",
"balance": "GET",
"products": "GET",
"catalog": "GET",
"quote": "POST",
"purchase": "POST",
"purchase_status": "GET",
"orders": "GET",
"order": "GET",
"order_delivery": "GET",
"order_proxies": "GET",
"proxies": "GET",
"proxy": "GET",
"proxy_export": "POST",
"proxy_actions": "GET",
"renewal_options": "GET",
"renewal_quote": "POST",
"renewal": "POST",
"renewal_status": "GET",
"replacement_quote": "POST",
"replacement": "POST",
"replacement_status": "GET",
"replacement_requests": "GET",
"residential_catalog": "GET",
"residential_quote": "POST",
"residential_purchase": "POST",
"residential_purchase_status": "GET",
"residential_session_options": "GET",
"residential_session_create": "POST",
"residential_session_export": "POST",
"residential_isp_codes": "GET",
"residential_locations": "GET",
"residential_traffic": "GET",
"residential_export": "POST",
"residential_packages": "GET",
"residential_package": "GET",
"residential_lists": "GET",
"residential_list": "GET",
"residential_list_options": "GET",
"residential_list_create": "POST",
"residential_list_delete": "POST",
"residential_list_action_status": "GET",
"residential_list_check": "GET",
"residential_package_refresh": "POST",
"residential_list_rename": "POST",
"residential_list_rotation": "POST",
"residential_operation_status": "GET"
},
"public_access_enabled": true,
"primary_credentials_change": false,
"primary_credentials_delete": false,
"supplemental_credentials": true,
"primary_credentials_managed_by": "admin",
"supplemental_records": true,
"supplemental_creation": true,
"supplemental_provider_deletion": true,
"rotating_management": true,
"rotating_scope": "package",
"rotating_shared_package_changes": true,
"proxy_notes": true,
"proxy_note_update": true,
"automatic_renewal_configuration": true,
"automatic_renewal_methods": [
"balance"
],
"api_key_revocation_stops_existing_renewals": false,
"residential_session_list_creation": true,
"residential_session_export": true,
"residential_isp_codes": true,
"extra_login_replacement": true,
"residential_locations": true,
"residential_traffic": true,
"residential_export": true,
"residential_session_targeting": true,
"residential_package_deletion": false,
"residential_list_create_authentication": [
"login_password",
"ip_auth"
],
"residential_authorized_ip_families": [
4
],
"residential_existing_list_ip_edit": false,
"residential_topups": true,
"residential_purchase_status": true,
"key_management": "per_customer_one_active_key",
"access_requires_approval": false,
"limits": {
"requests_per_minute": 60,
"used_this_minute": 1,
"remaining_this_minute": 59,
"resets_at": "2030-01-01T12:00:00+00:00",
"key_changes_per_minute": 5,
"new_purchases_per_hour": 10,
"new_renewals_per_hour": 10,
"new_replacements_per_hour": 10,
"auto_renewal_changes_per_hour": 20
},
"permissions": {
"account_allowed": {
"credentials": true,
"purchases": true,
"renewals": true,
"replacements": true,
"residential_management": true,
"proxy_management": true
},
"key_selected": {
"credentials": true,
"purchases": true,
"renewals": true,
"replacements": true,
"residential_management": true,
"proxy_management": true
},
"administrator_approval_required": false,
"administrator_restrictions_apply": true,
"customer_selection_required": false
},
"customer_permission_selection_required": false,
"administrator_restrictions_apply": true,
"key_provisioning": "automatic_on_first_api_page_visit",
"endpoint_base": "https://www.arnproxy.com/account/api/v1/",
"resource_paths": {
"capabilities": "capabilities",
"account": "account",
"balance": "balance",
"products": "products",
"catalog": "catalog",
"quote": "quote",
"orders": "orders",
"order": "orders/{id}",
"order_delivery": "orders/{id}/delivery",
"order_proxies": "orders/{id}/proxies",
"purchase": "orders/create",
"purchase_status": "orders/create/status",
"proxies": "proxies",
"proxy": "proxies/{id}",
"proxy_actions": "proxies/{id}/actions",
"proxy_export": "proxies/export",
"proxy_access": "proxies/{id}/access",
"proxy_note": "proxies/{id}/note",
"proxy_note_update": "proxies/note",
"proxy_credentials_change": "proxies/primary-credentials/change",
"proxy_authorized_ip_add": "proxies/authorized-ips/add",
"proxy_authorized_ip_remove": "proxies/authorized-ips/remove",
"proxy_access_operation_status": "proxies/access/status",
"proxy_access_operation_resume": "proxies/access/resume",
"renewal_options": "renewals/options",
"renewal_quote": "renewals/quote",
"renewal": "renewals/create",
"renewal_status": "renewals/status",
"replacement_quote": "replacements/quote",
"replacement": "replacements/create",
"replacement_status": "replacements/status",
"replacement_requests": "replacements",
"extra_logins": "extra-logins",
"extra_login": "extra-logins/{id}",
"extra_login_history": "extra-logins/history",
"extra_login_options": "extra-logins/options",
"extra_login_create": "extra-logins/create",
"extra_login_delete": "extra-logins/delete",
"extra_login_operation_status": "extra-logins/status",
"extra_login_resume": "extra-logins/resume",
"extra_login_replace_options": "extra-logins/replace/options",
"extra_login_replace": "extra-logins/replace",
"extra_login_replace_status": "extra-logins/replace/status",
"extra_login_replace_resume": "extra-logins/replace/resume",
"rotating_options": "rotating/{id}/options",
"rotating_rotation": "rotating/rotation",
"rotating_operation_status": "rotating/status",
"auto_renewal_settings": "auto-renewal",
"auto_renewal_options": "auto-renewal/options",
"auto_renewal_quote": "auto-renewal/quote",
"auto_renewal_enable": "auto-renewal/enable",
"auto_renewal_disable": "auto-renewal/disable",
"auto_renewal_operation_status": "auto-renewal/status",
"residential_packages": "residential/packages",
"residential_package": "residential/packages/{id}",
"residential_package_refresh": "residential/packages/refresh",
"residential_catalog": "residential/catalog",
"residential_quote": "residential/quote",
"residential_purchase": "residential/orders/create",
"residential_purchase_status": "residential/orders/status",
"residential_locations": "residential/locations",
"residential_traffic": "residential/traffic",
"residential_export": "residential/export",
"residential_isp_codes": "residential/isp-codes",
"residential_lists": "residential/lists",
"residential_list": "residential/lists/{id}",
"residential_list_options": "residential/lists/options",
"residential_list_create": "residential/lists/create",
"residential_list_delete": "residential/lists/delete",
"residential_list_action_status": "residential/lists/action-status",
"residential_list_check": "residential/lists/{id}/check",
"residential_list_rename": "residential/lists/rename",
"residential_list_rotation": "residential/lists/rotation",
"residential_operation_status": "residential/lists/status",
"residential_session_options": "residential/sessions/options",
"residential_session_create": "residential/sessions/create",
"residential_session_export": "residential/sessions/export"
}
},
"meta": {
"request_id": "000000000000000000000001",
"phase": "public_v1",
"source": "arnproxy_records"
}
}响应字段与类型
| 名称 | 类型 | 说明 |
|---|---|---|
ok | boolean | 成功标志;为 false 时请检查 error.code。 |
data | object | 操作特定结果;示例均为演示用合成数据。 |
data.mode | string | mode 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resources | array | 已定义的操作与 HTTP 方法;出现在列表不授予执行权限。 |
data.resources[] | string | 已定义的操作与 HTTP 方法;出现在列表不授予执行权限。 |
data.purchases | boolean | purchases 的操作特定值。请保留返回类型并查阅行为说明。 |
data.renewals | boolean | renewals 的操作特定值。请保留返回类型并查阅行为说明。 |
data.credential_access | boolean | 此结果/密钥是否包含或允许访问敏感凭据。 |
data.proxy_export | boolean | proxy export 的操作特定值。请保留返回类型并查阅行为说明。 |
data.replacement_quotes | boolean | replacement quotes 的操作特定值。请保留返回类型并查阅行为说明。 |
data.replacement_requests | boolean | replacement requests 的操作特定值。请保留返回类型并查阅行为说明。 |
data.replacement_mode | string | replacement mode 的操作特定值。请保留返回类型并查阅行为说明。 |
data.provider_management | boolean | provider management 的操作特定值。请保留返回类型并查阅行为说明。 |
data.proxy_management | boolean | proxy management 的操作特定值。请保留返回类型并查阅行为说明。 |
data.residential | boolean | residential 的操作特定值。请保留返回类型并查阅行为说明。 |
data.residential_mode | string | residential mode 的操作特定值。请保留返回类型并查阅行为说明。 |
data.residential_purchases | boolean | residential purchases 的操作特定值。请保留返回类型并查阅行为说明。 |
data.residential_management | boolean | residential management 的操作特定值。请保留返回类型并查阅行为说明。 |
data.residential_list_creation | boolean | residential list creation 的操作特定值。请保留返回类型并查阅行为说明。 |
data.residential_list_deletion | boolean | residential list deletion 的操作特定值。请保留返回类型并查阅行为说明。 |
data.residential_package_refresh | boolean | residential package refresh 的操作特定值。请保留返回类型并查阅行为说明。 |
data.catalog | boolean | catalog 的操作特定值。请保留返回类型并查阅行为说明。 |
data.price_quotes | boolean | price quotes 的操作特定值。请保留返回类型并查阅行为说明。 |
data.renewal_price_quotes | boolean | renewal price quotes 的操作特定值。请保留返回类型并查阅行为说明。 |
data.version | string | version 的操作特定值。请保留返回类型并查阅行为说明。 |
data.source | string | 数据来源;本地记录与实时上游查询属于不同证据。 |
data.order_delivery | boolean | order delivery 的操作特定值。请保留返回类型并查阅行为说明。 |
data.order_proxies | boolean | order proxies 的操作特定值。请保留返回类型并查阅行为说明。 |
data.documentation_url | string | documentation url 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_methods | object | 已定义的操作与 HTTP 方法;出现在列表不授予执行权限。 |
data.resource_methods.* | string | 操作名称 → GET 或 POST。列出不代表获准执行。 |
data.public_access_enabled | boolean | public access enabled 的操作特定值。请保留返回类型并查阅行为说明。 |
data.primary_credentials_change | boolean | primary credentials change 的操作特定值。请保留返回类型并查阅行为说明。 |
data.primary_credentials_delete | boolean | primary credentials delete 的操作特定值。请保留返回类型并查阅行为说明。 |
data.supplemental_credentials | boolean | supplemental credentials 的操作特定值。请保留返回类型并查阅行为说明。 |
data.primary_credentials_managed_by | string | primary credentials managed by 的操作特定值。请保留返回类型并查阅行为说明。 |
data.supplemental_records | boolean | supplemental records 的操作特定值。请保留返回类型并查阅行为说明。 |
data.supplemental_creation | boolean | supplemental creation 的操作特定值。请保留返回类型并查阅行为说明。 |
data.supplemental_provider_deletion | boolean | supplemental provider deletion 的操作特定值。请保留返回类型并查阅行为说明。 |
data.rotating_management | boolean | rotating management 的操作特定值。请保留返回类型并查阅行为说明。 |
data.rotating_scope | string | rotating scope 的操作特定值。请保留返回类型并查阅行为说明。 |
data.rotating_shared_package_changes | boolean | rotating shared package changes 的操作特定值。请保留返回类型并查阅行为说明。 |
data.proxy_notes | boolean | proxy notes 的操作特定值。请保留返回类型并查阅行为说明。 |
data.proxy_note_update | boolean | proxy note update 的操作特定值。请保留返回类型并查阅行为说明。 |
data.automatic_renewal_configuration | boolean | automatic renewal configuration 的操作特定值。请保留返回类型并查阅行为说明。 |
data.automatic_renewal_methods | array | automatic renewal methods 的操作特定值。请保留返回类型并查阅行为说明。 |
data.automatic_renewal_methods[] | string | automatic renewal methods 的操作特定值。请保留返回类型并查阅行为说明。 |
data.api_key_revocation_stops_existing_renewals | boolean | false:撤销密钥不会关闭已有自动续期;须单独关闭设置。 |
data.residential_session_list_creation | boolean | residential session list creation 的操作特定值。请保留返回类型并查阅行为说明。 |
data.residential_session_export | boolean | residential session export 的操作特定值。请保留返回类型并查阅行为说明。 |
data.residential_isp_codes | boolean | residential isp codes 的操作特定值。请保留返回类型并查阅行为说明。 |
data.extra_login_replacement | boolean | extra login replacement 的操作特定值。请保留返回类型并查阅行为说明。 |
data.residential_locations | boolean | residential locations 的操作特定值。请保留返回类型并查阅行为说明。 |
data.residential_traffic | boolean | residential traffic 的操作特定值。请保留返回类型并查阅行为说明。 |
data.residential_export | boolean | residential export 的操作特定值。请保留返回类型并查阅行为说明。 |
data.residential_session_targeting | boolean | residential session targeting 的操作特定值。请保留返回类型并查阅行为说明。 |
data.residential_package_deletion | boolean | residential package deletion 的操作特定值。请保留返回类型并查阅行为说明。 |
data.residential_list_create_authentication | array | residential list create authentication 的操作特定值。请保留返回类型并查阅行为说明。 |
data.residential_list_create_authentication[] | string | residential list create authentication 的操作特定值。请保留返回类型并查阅行为说明。 |
data.residential_authorized_ip_families | array | residential authorized ip families 的操作特定值。请保留返回类型并查阅行为说明。 |
data.residential_authorized_ip_families[] | integer | residential authorized ip families 的操作特定值。请保留返回类型并查阅行为说明。 |
data.residential_existing_list_ip_edit | boolean | residential existing list ip edit 的操作特定值。请保留返回类型并查阅行为说明。 |
data.residential_topups | boolean | residential topups 的操作特定值。请保留返回类型并查阅行为说明。 |
data.residential_purchase_status | boolean | residential purchase status 的操作特定值。请保留返回类型并查阅行为说明。 |
data.key_management | string | key management 的操作特定值。请保留返回类型并查阅行为说明。 |
data.access_requires_approval | boolean | access requires approval 的操作特定值。请保留返回类型并查阅行为说明。 |
data.limits | object | 账户/操作限制;HTTP 429 时遵守 Retry-After。 |
data.limits.requests_per_minute | integer | 当前账户每分钟限制,以及本窗口已用或剩余请求数。 |
data.limits.used_this_minute | integer | 当前账户每分钟限制,以及本窗口已用或剩余请求数。 |
data.limits.remaining_this_minute | integer | 当前账户每分钟限制,以及本窗口已用或剩余请求数。 |
data.limits.resets_at | string | resets at 的操作特定值。请保留返回类型并查阅行为说明。 |
data.limits.key_changes_per_minute | integer | key changes per minute 的操作特定值。请保留返回类型并查阅行为说明。 |
data.limits.new_purchases_per_hour | integer | new purchases per hour 的操作特定值。请保留返回类型并查阅行为说明。 |
data.limits.new_renewals_per_hour | integer | new renewals per hour 的操作特定值。请保留返回类型并查阅行为说明。 |
data.limits.new_replacements_per_hour | integer | new replacements per hour 的操作特定值。请保留返回类型并查阅行为说明。 |
data.limits.auto_renewal_changes_per_hour | integer | auto renewal changes per hour 的操作特定值。请保留返回类型并查阅行为说明。 |
data.permissions | object | 权限由管理员账户设置决定;客户无需另行选择权限。现有管理员限制仍然适用。 |
data.permissions.account_allowed | object | account allowed 的操作特定值。请保留返回类型并查阅行为说明。 |
data.permissions.account_allowed.credentials | boolean | 受权限与有效服务条件约束的敏感凭据;不要记录或分享。 |
data.permissions.account_allowed.purchases | boolean | purchases 的操作特定值。请保留返回类型并查阅行为说明。 |
data.permissions.account_allowed.renewals | boolean | renewals 的操作特定值。请保留返回类型并查阅行为说明。 |
data.permissions.account_allowed.replacements | boolean | replacements 的操作特定值。请保留返回类型并查阅行为说明。 |
data.permissions.account_allowed.residential_management | boolean | residential management 的操作特定值。请保留返回类型并查阅行为说明。 |
data.permissions.account_allowed.proxy_management | boolean | proxy management 的操作特定值。请保留返回类型并查阅行为说明。 |
data.permissions.key_selected | object | 权限由管理员账户设置决定;客户无需另行选择权限。现有管理员限制仍然适用。 |
data.permissions.key_selected.credentials | boolean | 受权限与有效服务条件约束的敏感凭据;不要记录或分享。 |
data.permissions.key_selected.purchases | boolean | purchases 的操作特定值。请保留返回类型并查阅行为说明。 |
data.permissions.key_selected.renewals | boolean | renewals 的操作特定值。请保留返回类型并查阅行为说明。 |
data.permissions.key_selected.replacements | boolean | replacements 的操作特定值。请保留返回类型并查阅行为说明。 |
data.permissions.key_selected.residential_management | boolean | residential management 的操作特定值。请保留返回类型并查阅行为说明。 |
data.permissions.key_selected.proxy_management | boolean | proxy management 的操作特定值。请保留返回类型并查阅行为说明。 |
data.permissions.administrator_approval_required | boolean | administrator approval required 的操作特定值。请保留返回类型并查阅行为说明。 |
data.permissions.administrator_restrictions_apply | boolean | administrator restrictions apply 的操作特定值。请保留返回类型并查阅行为说明。 |
data.permissions.customer_selection_required | boolean | customer selection required 的操作特定值。请保留返回类型并查阅行为说明。 |
data.customer_permission_selection_required | boolean | customer permission selection required 的操作特定值。请保留返回类型并查阅行为说明。 |
data.administrator_restrictions_apply | boolean | administrator restrictions apply 的操作特定值。请保留返回类型并查阅行为说明。 |
data.key_provisioning | string | key provisioning 的操作特定值。请保留返回类型并查阅行为说明。 |
data.endpoint_base | string | endpoint base 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths | object | resource paths 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.capabilities | string | capabilities 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.account | string | account 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.balance | string | balance 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.products | string | products 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.catalog | string | catalog 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.quote | string | quote 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.orders | string | orders 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.order | string | order 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.order_delivery | string | order delivery 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.order_proxies | string | order proxies 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.purchase | string | purchase 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.purchase_status | string | purchase status 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.proxies | string | proxies 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.proxy | string | proxy 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.proxy_actions | string | proxy actions 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.proxy_export | string | proxy export 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.proxy_access | string | proxy access 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.proxy_note | string | proxy note 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.proxy_note_update | string | proxy note update 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.proxy_credentials_change | string | proxy credentials change 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.proxy_authorized_ip_add | string | proxy authorized ip add 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.proxy_authorized_ip_remove | string | proxy authorized ip remove 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.proxy_access_operation_status | string | proxy access operation status 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.proxy_access_operation_resume | string | proxy access operation resume 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.renewal_options | string | renewal options 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.renewal_quote | string | renewal quote 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.renewal | string | renewal 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.renewal_status | string | renewal status 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.replacement_quote | string | replacement quote 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.replacement | string | replacement 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.replacement_status | string | replacement status 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.replacement_requests | string | replacement requests 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.extra_logins | string | extra logins 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.extra_login | string | extra login 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.extra_login_history | string | extra login history 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.extra_login_options | string | extra login options 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.extra_login_create | string | extra login create 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.extra_login_delete | string | extra login delete 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.extra_login_operation_status | string | extra login operation status 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.extra_login_resume | string | extra login resume 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.extra_login_replace_options | string | extra login replace options 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.extra_login_replace | string | extra login replace 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.extra_login_replace_status | string | extra login replace status 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.extra_login_replace_resume | string | extra login replace resume 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.rotating_options | string | rotating options 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.rotating_rotation | string | rotating rotation 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.rotating_operation_status | string | rotating operation status 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.auto_renewal_settings | string | auto renewal settings 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.auto_renewal_options | string | auto renewal options 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.auto_renewal_quote | string | auto renewal quote 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.auto_renewal_enable | string | auto renewal enable 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.auto_renewal_disable | string | auto renewal disable 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.auto_renewal_operation_status | string | auto renewal operation status 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.residential_packages | string | residential packages 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.residential_package | string | residential package 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.residential_package_refresh | string | residential package refresh 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.residential_catalog | string | residential catalog 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.residential_quote | string | residential quote 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.residential_purchase | string | residential purchase 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.residential_purchase_status | string | residential purchase status 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.residential_locations | string | residential locations 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.residential_traffic | string | residential traffic 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.residential_export | string | residential export 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.residential_isp_codes | string | residential isp codes 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.residential_lists | string | residential lists 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.residential_list | string | residential list 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.residential_list_options | string | residential list options 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.residential_list_create | string | residential list create 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.residential_list_delete | string | residential list delete 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.residential_list_action_status | string | residential list action status 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.residential_list_check | string | residential list check 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.residential_list_rename | string | residential list rename 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.residential_list_rotation | string | residential list rotation 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.residential_operation_status | string | residential operation status 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.residential_session_options | string | residential session options 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.residential_session_create | string | residential session create 的操作特定值。请保留返回类型并查阅行为说明。 |
data.resource_paths.residential_session_export | string | residential session export 的操作特定值。请保留返回类型并查阅行为说明。 |
meta | object | 请求关联与数据来源元信息。 |
meta.request_id | string | 此 HTTP 请求的跟踪 ID,不是操作键或订单 ID。 |
meta.phase | string | phase 的操作特定值。请保留返回类型并查阅行为说明。 |
meta.source | string | 数据来源;本地记录与实时上游查询属于不同证据。 |
错误响应
{
"ok": false,
"error": { "code": "INVALID_API_KEY" },
"meta": { "request_id": "000000000000000000000001" }
}身份验证和参数校验可能在执行前拒绝请求。请查阅错误参考,联系支持时保留 request_id。切勿发送密钥或密码。 错误与限制 →